summaryrefslogtreecommitdiff
path: root/test/integration
diff options
context:
space:
mode:
authorMichael Vogt <mvo@debian.org>2013-08-01 21:25:38 +0200
committerMichael Vogt <mvo@debian.org>2013-08-01 21:25:38 +0200
commit613c36dce7b20c482f6adf5f7a8ed59ff49c0d93 (patch)
tree1dc0792b6d0236ec736961955189dd7500924b47 /test/integration
parent1819ccef3c9ac0a6b1a413b89b435b4f7d601afd (diff)
merge patch from Colin Watson (many thanks!) to Prefer native architecture over higher priority for providers
Diffstat (limited to 'test/integration')
-rwxr-xr-xtest/integration/test-prefer-native-architecture-over-higher-priority25
1 files changed, 25 insertions, 0 deletions
diff --git a/test/integration/test-prefer-native-architecture-over-higher-priority b/test/integration/test-prefer-native-architecture-over-higher-priority
new file mode 100755
index 000000000..2e5696376
--- /dev/null
+++ b/test/integration/test-prefer-native-architecture-over-higher-priority
@@ -0,0 +1,25 @@
+#!/bin/sh
+set -e
+
+TESTDIR=$(readlink -f $(dirname $0))
+. $TESTDIR/framework
+setupenvironment
+configarchitecture 'amd64' 'arm64'
+
+insertpackage 'unstable' 'm4' 'amd64' '1' 'Multi-Arch: foreign' 'optional'
+insertpackage 'unstable' 'm4' 'arm64' '1' 'Multi-Arch: foreign' 'standard'
+insertpackage 'unstable' 'autoconf' 'all' '1' 'Depends: m4'
+
+setupaptarchive
+
+testequal 'Reading package lists...
+Building dependency tree...
+The following extra packages will be installed:
+ m4
+The following NEW packages will be installed:
+ autoconf m4
+0 upgraded, 2 newly installed, 0 to remove and 0 not upgraded.
+Inst m4 (1 unstable [amd64])
+Inst autoconf (1 unstable [all])
+Conf m4 (1 unstable [amd64])
+Conf autoconf (1 unstable [all])' aptget install autoconf -s